2017-11-20 05:24 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000449v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:11
Reporteradolfo 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Versionv2.0.0 
Summary0000449: budget field format
DescriptionNot valid format in budget field.

My configuration is 12.345.678,90 EUR a the language is Spanish 'es'

Please see attach file
TagsNo tags attached.
Attached Files

-Relationships
related to 0000459closedcaseydk budget field format 
child of 0000440closedcaseydk Various Bug's 
+Relationships

-Notes

~0000898

caseydk (administrator)

Are you really using v1.0?

~0000900

adolfo (reporter)

No, Version 2.0.0-pre

Now I see the Project field, (must be select before send the issue).

sorry.

I'm working directly with Version 2.0.0-pre, to test it.

~0000902

adolfo (reporter)

Last edited: 2010-05-29 00:24

one more thing,

If edit field budget with 1.750,00 and save it the project, later w2p show 1.75

~0000903

adolfo (reporter)

The problem is in the database, because I'm try change it directly and don't permit update with comma "123.456.789,00" and always take dot as decimal point.

I have utf_8 and utf8_spanish_ci y project database.

~0000907

caseydk (administrator)

The system interprets it in the "American notation" where thousands are denoted with commas and the dot is the decimal point. I'm not sure of a better way to approach this at the moment.

What standards are there for these notations?

~0000916

adolfo (reporter)

All Europe use this notation 123.456.789,00 €

I thought you were using the currency format of the user's preferences to display the amounts in W2P, I think that is a good way, like most applicantions do.

~0000921

caseydk (administrator)

Yes, displaying things in a particular format is the easy part..

The difficult part is processing your input properly so it gets stored properly.

~0000930

adolfo (reporter)

Last edited: 2010-06-01 00:48

Please visit this pages.

http://www.entrebits.cl/foros/temas-generales/7586-validar-la-entrada-de-un-campo-numerico-y-dar-formato-al-resultado.html
http://www.php.net/manual/en/function.number-format.php
http://webcoder.info/downloads/validate.html
http://www.merlyn.demon.co.uk/js-valid.htm


I think that the solution or posible solution are inside.

~0000939

caseydk (administrator)

The core functionality is wired in r1132-1133.

If your CURRENCYFORM value is set properly, it should work as designed. I've also added scrubbing on the input side of things to make sure they're stored properly in the database.
+Notes

-Issue History
Date Modified Username Field Change
2010-05-25 08:55 adolfo New Issue
2010-05-25 08:55 adolfo File Added: budget.png
2010-05-25 10:11 caseydk Note Added: 0000898
2010-05-25 11:29 adolfo Note Added: 0000900
2010-05-25 12:17 caseydk Relationship added child of 0000440
2010-05-25 12:17 caseydk Project v1.0 Release (Closed) => v2.0 Release (Closed)
2010-05-28 07:20 adolfo Note Added: 0000902
2010-05-29 00:24 adolfo Note Edited: 0000902
2010-05-29 00:27 adolfo Note Added: 0000903
2010-05-29 10:45 caseydk Note Added: 0000907
2010-05-30 23:53 adolfo Note Added: 0000916
2010-05-31 11:35 caseydk Note Added: 0000921
2010-05-31 23:27 adolfo Note Added: 0000930
2010-06-01 00:16 adolfo Note Edited: 0000930
2010-06-01 00:20 adolfo Note Edited: 0000930
2010-06-01 00:28 adolfo Note Edited: 0000930
2010-06-01 00:48 adolfo Note Edited: 0000930
2010-06-02 20:44 caseydk Note Added: 0000939
2010-06-02 20:44 caseydk Status new => resolved
2010-06-02 20:44 caseydk Resolution open => fixed
2010-06-02 20:44 caseydk Assigned To => caseydk
2010-06-04 11:10 caseydk Relationship added related to 0000459
2010-06-21 21:11 caseydk Status resolved => closed
2010-06-21 21:11 caseydk Fixed in Version => v2.0
+Issue History